Index: /trunk/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- /trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 9883)
+++ /trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 9884)
@@ -20,5 +20,7 @@
                Elements as Nodes
 */
-
+/*!
+ * @file ini_parser.cc
+ */
 
 #include "ini_parser.h"
Index: /trunk/src/lib/parser/preferences/preferences.h
===================================================================
--- /trunk/src/lib/parser/preferences/preferences.h	(revision 9883)
+++ /trunk/src/lib/parser/preferences/preferences.h	(revision 9884)
@@ -15,56 +15,63 @@
 class IniFilePrefsReader;
 
-typedef struct {
-  std::string name;
-  MultiType value;
-  bool modified;
-} prefItem;
+//! A default singleton class.
+class Preferences : public BaseObject
+{
+  ObjectListDeclaration(Preferences);
+public:
+  virtual ~Preferences(void);
+  /** @returns a Pointer to the only object of this Class */
+  inline static Preferences* getInstance(void) { if (!singletonRef) singletonRef = new Preferences();  return singletonRef; };
 
-typedef struct {
-  std::string sectionName;
-  std::list<prefItem> items;
-} prefSection ;
+  //check if this entry exists
+  bool sectionExists(const std::string& section );
+  bool exists(const std::string& section, const std::string& name);
+
+  void setString(const std::string& section, const std::string& name, const std::string& value, bool dontSetModified = false);
+  void setInt(const std::string& section, const std::string& name, int value, bool dontSetModified = false);
+  void setFloat(const std::string& section, const std::string& name, float value, bool dontSetModified = false);
+  void setMultiType(const std::string& section, const std::string& name, const MultiType& value, bool dontSetModified = false);
+
+  std::string getString(const std::string& section, const std::string& name, const std::string& defaultValue);
+  int getInt(const std::string& section, const std::string& name, int defaultValue);
+  float getFloat(const std::string& section, const std::string& name, float defaultValue);
+  MultiType getMultiType(const std::string& section, const std::string& name, const MultiType& defaultValue);
+
+  void setUserIni(const std::string& fileName);
+
+  bool save();
+
+  void debug();
+
+  std::list<std::string> listKeys( const std::string section );
+
+private:
+  typedef struct
+  {
+    std::string name;
+    MultiType value;
+    bool modified;
+  }
+  prefItem;
+
+  typedef struct
+  {
+    std::string sectionName;
+    std::list<prefItem> items;
+  }
+  prefSection ;
 
 
-//! A default singleton class.
-class Preferences : public BaseObject {
-  ObjectListDeclaration(Preferences);
- public:
-   virtual ~Preferences(void);
-  /** @returns a Pointer to the only object of this Class */
-   inline static Preferences* getInstance(void) { if (!singletonRef) singletonRef = new Preferences();  return singletonRef; };
+private:
+  Preferences(void);
 
-   //check if this entry exists
-   bool sectionExists(const std::string& section );
-   bool exists(const std::string& section, const std::string& name);
+private:
+  static Preferences* singletonRef;
 
-   void setString(const std::string& section, const std::string& name, const std::string& value, bool dontSetModified = false);
-   void setInt(const std::string& section, const std::string& name, int value, bool dontSetModified = false);
-   void setFloat(const std::string& section, const std::string& name, float value, bool dontSetModified = false);
-   void setMultiType(const std::string& section, const std::string& name, const MultiType& value, bool dontSetModified = false);
+  std::list<prefSection> data;
 
-   std::string getString(const std::string& section, const std::string& name, const std::string& defaultValue);
-   int getInt(const std::string& section, const std::string& name, int defaultValue);
-   float getFloat(const std::string& section, const std::string& name, float defaultValue);
-   MultiType getMultiType(const std::string& section, const std::string& name, const MultiType& defaultValue);
+  std::list<IniFilePrefsReader*> iniFilePrefsReaders;
 
-   void setUserIni(const std::string& fileName);
-
-   bool save();
-
-   void debug();
-
-   std::list<std::string> listKeys( const std::string section );
-
-
- private:
-   Preferences(void);
-   static Preferences* singletonRef;
-
-   std::list<prefSection> data;
-
-   std::list<IniFilePrefsReader*> iniFilePrefsReaders;
-
-   std::string fileName;
+  std::string fileName;
 
 };
Index: /trunk/src/lib/util/loading/load_param_description.cc
===================================================================
--- /trunk/src/lib/util/loading/load_param_description.cc	(revision 9883)
+++ /trunk/src/lib/util/loading/load_param_description.cc	(revision 9884)
@@ -99,4 +99,2 @@
   fprintf(stream, "\n");
 }
-
-
Index: /trunk/src/lib/util/threading.h
===================================================================
--- /trunk/src/lib/util/threading.h	(revision 9883)
+++ /trunk/src/lib/util/threading.h	(revision 9884)
@@ -20,5 +20,4 @@
   class Thread
   {
-
   public:
     Thread(int (*fn)(void *), void *data) { this->thread = SDL_CreateThread(fn, data); };