Index: code/branches/sfxThilo/data/defaultConfig/keybindings.ini
===================================================================
--- code/branches/sfxThilo/data/defaultConfig/keybindings.ini	(revision 9720)
+++ code/branches/sfxThilo/data/defaultConfig/keybindings.ini	(revision 9889)
@@ -58,5 +58,5 @@
 KeyLeftWindows=
 KeyLessThan=
-KeyM=
+KeyM="WorldAmbientSound nextsong"
 KeyMail=
 KeyMediaSelect=
Index: code/branches/sfxThilo/data/levels/Spacerace2.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/Spacerace2.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/Spacerace2.oxw	(revision 9889)
@@ -14,4 +14,6 @@
 
 ?>
+<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" />
+
 
 <?lua
Index: code/branches/sfxThilo/data/levels/asteroidField.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/asteroidField.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/asteroidField.oxw	(revision 9889)
@@ -11,4 +11,5 @@
   include("templates/lodInformation.oxt")
 ?>
+<WorldAmbientSound source="Asteroid_rocks.ogg" looping="true" playOnLoad="true" />
 
 <?lua
Index: code/branches/sfxThilo/data/levels/asteroids.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/asteroids.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/asteroids.oxw	(revision 9889)
@@ -5,4 +5,5 @@
  screenshot = "asteroids.png"
 />
+<WorldAmbientSound source="Asteroid_rocks.ogg" looping="true" playOnLoad="true" />
 
 <?lua
Index: code/branches/sfxThilo/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/dynamicMatch.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/dynamicMatch.oxw	(revision 9889)
@@ -5,4 +5,5 @@
  screenshot = "dynamicMatch.png"
 />
+<WorldAmbientSound source="Mars.ogg" looping="true" playOnLoad="true" />
 
 <?lua
Index: code/branches/sfxThilo/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/lastManStanding.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/lastManStanding.oxw	(revision 9889)
@@ -32,4 +32,6 @@
       include("includes/pickups.oxi")
     ?>
+    
+    <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
 
 <!----- Spawnpoints
Index: code/branches/sfxThilo/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/lastTeamStanding.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/lastTeamStanding.oxw	(revision 9889)
@@ -33,4 +33,6 @@
       include("includes/pickups.oxi")
     ?>
+    
+    <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
 
 <Bot />
Index: code/branches/sfxThilo/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/lastTeamStandingII.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/lastTeamStandingII.oxw	(revision 9889)
@@ -27,4 +27,6 @@
     skybox       = "Orxonox/skyBoxBasic"
   >
+  <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
+  
 <!-- TODO:
 1. make collisionshapes bulletproof: -> attach movable entity with dynamic collisionshape within a static collisionshape 
Index: code/branches/sfxThilo/data/levels/maxim.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/maxim.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/maxim.oxw	(revision 9889)
@@ -25,4 +25,6 @@
   </templates>
   <?lua include("includes/notifications.oxi") ?>
+  
+  <WorldAmbientSound source="Nebula_metal.ogg" looping="true" playOnLoad="true" />
 
   <NotificationQueueCEGUI
Index: code/branches/sfxThilo/data/levels/pirateAttack.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/pirateAttack.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/pirateAttack.oxw	(revision 9889)
@@ -25,4 +25,6 @@
     dofile("includes/CuboidSpaceStation.lua")
 ?>
+
+<WorldAmbientSound source="Mars.ogg" looping="true" playOnLoad="true" />
     
 <Level
Index: code/branches/sfxThilo/data/levels/pong.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/pong.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/pong.oxw	(revision 9889)
@@ -35,6 +35,7 @@
 <Template name=pongball>
   <PongBall 
-   defScoreSound = "sounds/Button.ogg"
-   defBoundarySound = "sounds/Button_press2.ogg">
+   defScoreSound = "sounds/PlayerWinScore_cut.ogg"
+   defBatSound = "sounds/Button.ogg"
+   defBoundarySound = "sounds/Button.ogg">
     <attached>
       <Model mesh="sphere.mesh" scale=2 />
Index: code/branches/sfxThilo/data/levels/presentationHS12.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/presentationHS12.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/presentationHS12.oxw	(revision 9889)
@@ -486,5 +486,5 @@
 
 <!-- SOUNDS & MUSIC -->
-            <WorldSound name="scoreSound" position="-920,0,0" source="sounds/ReadyGo.ogg" >
+            <WorldSound name="scoreSound" position="-920,0,0" source="sounds/Button.ogg" >
               <events>
                 <play>
Index: code/branches/sfxThilo/data/levels/spaceRace.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/spaceRace.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/spaceRace.oxw	(revision 9889)
@@ -29,4 +29,7 @@
     skybox       = "Orxonox/skyBoxMoreNebula"
   >
+  
+  <WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" />
+  
 
     <?lua math.randomseed(98) ?>
Index: code/branches/sfxThilo/data/levels/surfaceRace.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/surfaceRace.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/surfaceRace.oxw	(revision 9889)
@@ -10,4 +10,5 @@
  tags = "gametype"
 />
+<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true" />
 
 <?lua
Index: code/branches/sfxThilo/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/teamBaseMatch.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/teamBaseMatch.oxw	(revision 9889)
@@ -19,4 +19,6 @@
 >
 
+<WorldAmbientSound source="Jupiter.ogg" looping="true" playOnLoad="true" />
+
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/sfxThilo/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/teamDeathMatch.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/teamDeathMatch.oxw	(revision 9889)
@@ -22,4 +22,6 @@
   </templates>
   <?lua include("includes/notifications.oxi") ?>
+  
+  <WorldAmbientSound source="Jupiter.ogg" looping="true" playOnLoad="true" />
 
   <Scene
Index: code/branches/sfxThilo/data/levels/templates/spaceshipAssff.oxt
===================================================================
--- code/branches/sfxThilo/data/levels/templates/spaceshipAssff.oxt	(revision 9720)
+++ code/branches/sfxThilo/data/levels/templates/spaceshipAssff.oxt	(revision 9889)
@@ -37,4 +37,6 @@
    linearDamping     = 0.7
    angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
   >
     <engines>
@@ -82,5 +84,5 @@
    defEngineSndNormal = "sounds/Engine_low.ogg"
    defEngineSndBoost = "sounds/Engine_high.ogg"
-
+   
    accelerationfront     = 500
    accelerationbrake     = 500
Index: code/branches/sfxThilo/data/levels/underAttack.oxw
===================================================================
--- code/branches/sfxThilo/data/levels/underAttack.oxw	(revision 9720)
+++ code/branches/sfxThilo/data/levels/underAttack.oxw	(revision 9889)
@@ -20,4 +20,5 @@
   </templates>
   <?lua include("includes/notifications.oxi") ?>
+  <WorldAmbientSound source="Jupiter.ogg" looping="true" playOnLoad="true" />
 
   <Scene